=== debian/changelog ===
exhale-dmo (1.2.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Apr 2023 16:11:53 +0200
