=== debian/control ===
Source: exhale-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.ecodis.de/audio.htm
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), cmake, html2text

Package: exhale
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: extended high-efficiency and low-complexity encoder.
 exhale, which is an acronym for "Ecodis eXtended High-efficiency And
 Low-complexity Encoder", is a lightweight library and application to encode
 uncompressed WAVE-format audio files into MPEG-4-format files complying with
 the ISO/IEC 23003-3 (MPEG-D) Unified Speech and Audio Coding (USAC, also
 known as Extended High-Efficiency AAC) standard.
 .
 In addition, exhale writes program peak-level and loudness data into the
 generated MPEG-4 files according to the ISO/IEC 23003-4, Dynamic Range
 Control (DRC) specification for use by decoders providing DRC.
 .
 exhale currently makes use of all frequency-domain (FD) coding tools in the
 scalefactor based MDCT processing path. Its objective is high quality mono,
 stereo, and multichannel coding at medium and high bit rates, so the
 lower-rate USAC coding tools (ACELP, TCX, Enhanced SBR and MPEG Surround
 with Unified Stereo coding) won't be integrated.
 .
 Important: Due to the missing lower-rate coding tools, the audio quality at
 the lowest of exhale's bit-rate modes (18 kbit/s mono, 36 kbit/s stereo)
 doesn't reflect the full capabilities of the Extended HE-AAC standard. 
 Therefore, use the lowest bit-rate modes only when required. Also, please
 don't attempt to modify exhale's source code or to configure the
 command-line encoder to produce lower bit-rates. Use only existing presets
 and input sampling rates of 32...48 kHz.
