=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src/lib  debug UNIVERSAL2=$(UNIVERSAL2)
	$(MAKE) -C src/app  debug UNIVERSAL2=$(UNIVERSAL2)

override_dh_auto_install:
	dh_install bin/exhaled usr/bin

	mv debian/exhale/usr/bin/exhaled debian/exhale/usr/bin/exhale

override_dh_installchangelogs:
	html2text include/Release.htm > debian/upstream-changelog.txt

	dh_installchangelogs debian/upstream-changelog.txt
