=== debian/watch ===
version=4

https://gitlab.com/ecodis/exhale/-/tags \
/ecodis/exhale/-/archive/v?@ANY_VERSION@/exhale-v?\d\S*@ARCHIVE_EXT@
