=== debian/changelog ===
exhale-dmo (1.2.1.2-dmo2) unstable; urgency=medium

  * Don't use cmake to buildthe package this doesn't work.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 May 2025 13:17:05 +0200

exhale-dmo (1.2.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 May 2025 12:09:56 +0200

exhale-dmo (1.2.1-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Nov 2024 18:03:28 +0100

exhale-dmo (1.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Dec 2023 00:01:13 +0100

exhale-dmo (1.2.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Aug 2023 08:38:20 +0200
