=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+ifeq ($(origin CPP),default)
+	CPP := $(DEB_HOST_GNU_TYPE)-g++
+endif
+
+export CPP
 
 %:
 	dh $@
@@ -16,3 +22,5 @@
 	html2text include/Release.htm > debian/upstream-changelog.txt
 
 	dh_installchangelogs debian/upstream-changelog.txt
+
+override_dh_auto_test:
