=== debian/watch ===
version=4

https://gitlab.com/ecodis/exhale/-/tags \
/ecodis/exhale/-/tags/@ANY_VERSION@
