## exhale-dmo 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 ## CMakeLists.txt - Main CMake file that defines how cmake should process and generate the necessary build files
- # written by C. D. Degawa, last modified in 2023 - see License.htm for legal notices
+ # written by C. D. Degawa, last modified in 2025 - see License.htm for legal notices
  #
  # The copyright in this software is being made available under the exhale Copyright License
  # and comes with ABSOLUTELY NO WARRANTY. This software may be subject to other third-
  # party rights, including patent rights. No such rights are granted under this License.
  #
- # Copyright (c) 2018-2024 Christian R. Helmrich, project ecodis. All rights reserved.
+ # Copyright (c) 2018-2025 Christian R. Helmrich, project ecodis. All rights reserved.
  ##
 
 cmake_minimum_required(VERSION 3.5) # Default version of cmake on Ubuntu 16.04
@@ -16,7 +16,7 @@
 endif()
 
 
-project(exhale VERSION 1.2.1 LANGUAGES CXX)
+project(exhale VERSION 1.2.2 LANGUAGES CXX)
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
     set(CMAKE_BUILD_TYPE Release
