=== debian/changelog ===
exhale-dmo (1.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Dec 2025 15:09:00 +0100
