=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: http://www.ecodis.de/audio.htm
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, html2text
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), html2text,
 
 Package: exhale
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-Description: extended high-efficiency and low-complexity encoder.
+Description: extended high-efficiency and low-complexity AAC encoder.
  exhale, which is an acronym for "Ecodis eXtended High-efficiency And
  Low-complexity Encoder", is a lightweight library and application to encode
  uncompressed WAVE-format audio files into MPEG-4-format files complying with
