=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 %:
 	dh $@
 
+# Doesn't build with cmake
 override_dh_auto_build:
 	$(MAKE) -C src/lib  debug UNIVERSAL2=$(UNIVERSAL2)
 	$(MAKE) -C src/app  debug UNIVERSAL2=$(UNIVERSAL2)
