=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.com/ecodis/exhale/
